public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/django-otp/
Date: Mon, 19 Aug 2024 04:39:58 +0000 (UTC)	[thread overview]
Message-ID: <1724042351.7b099f6513a35c4bbe951e27d3395ba200301596.mgorny@gentoo> (raw)

commit:     7b099f6513a35c4bbe951e27d3395ba200301596
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 19 04:34:07 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Aug 19 04:39:11 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b099f65

dev-python/django-otp: Bump to 1.5.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-otp/Manifest                |  1 +
 dev-python/django-otp/django-otp-1.5.2.ebuild | 46 +++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-python/django-otp/Manifest b/dev-python/django-otp/Manifest
index 36a542a9d17a..b777ff3681e6 100644
--- a/dev-python/django-otp/Manifest
+++ b/dev-python/django-otp/Manifest
@@ -1 +1,2 @@
 DIST django_otp-1.5.1.tar.gz 73275 BLAKE2B 45a4691a1d9aad6416c28d6aa7b7850890bff19385bb7283019272c836e6cd83c55ba590e57e335131a99e98a17bf49c2418fe69a132b91a182e43c0a33cf863 SHA512 4d2af0a009fe945e136d91404bfa3977783ac681126ffeaa7ebfaacd85764afa07a568284ed1ba9d2c81ef472490df98585e78a1a36c81212b7363362db10f93
+DIST django_otp-1.5.2.tar.gz 73778 BLAKE2B 290afbb0a9f2f6ad41ecdb3d65003b0abf4838776241b00957bdbe7303335a33f99eb9e4c23454500fc92d03595a6fb393dd18ba6341e8dde789e21cfabda114 SHA512 5fa8ce6652b6849a7bc347e34addf2b4f694d0116d8c9574fa12d5f2e9313240b69fe4e9058317e202750e453af2882eb24d33d39a7104c458f2337c921901ee

diff --git a/dev-python/django-otp/django-otp-1.5.2.ebuild b/dev-python/django-otp/django-otp-1.5.2.ebuild
new file mode 100644
index 000000000000..3dc062125747
--- /dev/null
+++ b/dev-python/django-otp/django-otp-1.5.2.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Django framework adding two-factor authentication using one-time passwords"
+HOMEPAGE="
+	https://github.com/django-otp/django-otp/
+	https://pypi.org/project/django-otp/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-python/django-3.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		$(python_gen_impl_dep sqlite)
+		dev-python/freezegun[${PYTHON_USEDEP}]
+		|| (
+			dev-python/qrcode[${PYTHON_USEDEP}]
+			dev-python/segno[${PYTHON_USEDEP}]
+		)
+		$(python_gen_cond_dep '
+			dev-python/tomli[${PYTHON_USEDEP}]
+		' 3.10)
+		${RDEPEND}
+	)
+"
+
+python_test() {
+	local -x PYTHONPATH=test:${PYTHONPATH}
+	local -x DJANGO_SETTINGS_MODULE=test_project.settings
+	"${EPYTHON}" -m django test -v 2 django_otp ||
+		die "Tests fail with ${EPYTHON}"
+}


             reply	other threads:[~2024-08-19  4:40 UTC|newest]

Thread overview: 59+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-08-19  4:39 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-07  6:23 [gentoo-commits] repo/gentoo:master commit in: dev-python/django-otp/ Michał Górny
2024-09-07  6:23 Michał Górny
2024-09-04 20:33 Michał Górny
2024-09-04 20:33 Michał Górny
2024-08-19  4:39 Michał Górny
2024-07-23 20:06 Michał Górny
2024-07-23 20:06 Michał Górny
2024-07-23 20:06 Michał Górny
2024-04-17 13:23 Michał Górny
2024-04-11  4:25 Michał Górny
2024-04-10  6:15 Michał Górny
2023-12-30 18:28 Michał Górny
2023-11-09  4:15 Michał Górny
2023-10-06  4:34 Michał Górny
2023-09-18  2:39 Michał Górny
2023-07-28 15:58 Michał Górny
2023-07-24 11:31 Michał Górny
2023-06-17  5:59 Michał Górny
2023-05-26 17:44 Michał Górny
2023-05-11 17:58 Michał Górny
2023-03-08  5:09 Michał Górny
2023-03-07  7:08 Michał Górny
2022-11-14  4:36 Michał Górny
2022-11-11 14:31 Michał Górny
2022-05-16 13:17 Michał Górny
2022-02-26 19:35 Michał Górny
2022-02-26 17:59 Michał Górny
2022-02-26 17:59 Michał Górny
2021-11-30 21:55 Michał Górny
2021-11-29 22:28 Michał Górny
2021-10-17  7:41 Michał Górny
2021-09-14 21:35 Michał Górny
2021-09-13 20:31 Michał Górny
2021-06-05 18:48 Michał Górny
2021-06-05 18:48 Michał Górny
2021-05-29  8:06 Michał Górny
2021-05-09  8:23 Michał Górny
2021-04-29  7:18 Michał Górny
2021-04-04 14:23 Michał Górny
2020-10-23 20:12 Michał Górny
2020-10-07  7:28 Michał Górny
2020-08-14 11:50 Michał Górny
2020-08-06  2:30 Michał Górny
2020-07-15  9:40 Michał Górny
2020-06-24  8:00 Michał Górny
2020-06-19 19:49 Michał Górny
2020-06-19  9:10 Michał Górny
2020-05-19 12:06 Michał Górny
2020-05-13  7:08 Michał Górny
2020-05-13  7:08 Michał Górny
2020-05-04 10:48 Michał Górny
2020-04-21 11:24 Michał Górny
2020-04-21 11:24 Michał Górny
2019-01-27 12:36 Pacho Ramos
2018-08-03  1:41 Patrick McLean
2018-04-26  8:39 Amy Liffey
2018-03-03  9:10 Michael Palimaka
2016-01-16 15:14 Johann Schmitz

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1724042351.7b099f6513a35c4bbe951e27d3395ba200301596.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox